Summary: More fonts for X
Vendor: URW
Name: urw-fonts
Version: 1.0
Release: 0
Source: http://www.gimp.org/urw-fonts.tar.gz
Copyright: GPL
Group: X11
URL: http://www.gimp.org/fonts.html
Packager: Stefan Waldherr <swa@cs.cmu.edu>

%description 

Free versions of the 35 standard PostScript fonts. With newer releases
of ghostscript quality versions of the standard 35 Type 1 PostScript
fonts are shipped. They were donated and licenced under the GPL by
URW. The fonts.dir was specially made to match the original Adobe
names of the fonts, e.g. Times, Helvetica etc. With XFree86, these
fonts are a must to have!

%prep
%setup -n URW

%build

%pre

%install
mkdir -p /usr/X11R6/lib/X11/fonts/URW
cp -f * /usr/X11R6/lib/X11/fonts/URW
chown -R root. /usr/X11R6/lib/X11/fonts/URW
chmod a+rx /usr/X11R6/lib/X11/fonts/URW
chmod -R a+r /usr/X11R6/lib/X11/fonts/URW

%post
cat << EOT

Check your XF86Config file to include a section like this

Section "Files"
   RgbPath    "/usr/X11R6/lib/X11/rgb"
   FontPath   "/usr/X11R6/lib/X11/fonts/misc:unscaled"
   FontPath   "/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
   FontPath   "/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
   FontPath   "/usr/X11R6/lib/X11/fonts/URW"
   FontPath   "/usr/X11R6/lib/X11/fonts/Type1"
   FontPath   "/usr/X11R6/lib/X11/fonts/Speedo"
   FontPath   "/usr/X11R6/lib/X11/fonts/misc"
   FontPath   "/usr/X11R6/lib/X11/fonts/75dpi"
   FontPath   "/usr/X11R6/lib/X11/fonts/100dpi"
EndSection

Just make sure that the fontpath lists the 75dpi (or 100dpi if
necessary) bitmap fonts before the URW fonts, and make sure you have
the string ":unscaled" appended to the bitmap font's fontpath. This
way, the bitmap fonts will be used if they match, and the Type 1
versions will be used if the font needs to be scaled (this may only
work with XFree86...). 

EOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/lib/X11/fonts/URW


